# Interface VulkanPipelineRasterizationStateCreateInfoType

All Known Implementing Classes:
  `VulkanPipelineRasterizationStateCreateInfo`

@Immutable public interface VulkanPipelineRasterizationStateCreateInfoType

See Also:
  - "VkPipelineRasterizationStateCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Set<VulkanCullModeFlag>`
  `cullMode()`
  `default float`
  `depthBiasClamp()`
  `default float`
  `depthBiasConstantFactor()`
  `boolean`
  `depthBiasEnable()`
  `default float`
  `depthBiasSlopeFactor()`
  `boolean`
  `depthClampEnable()`
  `Set<VulkanPipelineRasterizationStateCreateFlag>`
  `flags()`
  `default VulkanFrontFace`
  `frontFace()`
  `default float`
  `lineWidth()`
  `default VulkanPolygonMode`
  `polygonMode()`
  `boolean`
  `rasterizerDiscardEnable()`

- ## Method Details

  - ### flags

    @Parameter Set<VulkanPipelineRasterizationStateCreateFlag> flags()
    Returns:
      State creation flags

  - ### depthClampEnable

    @Parameter boolean depthClampEnable()
    Returns:
      controls whether to clamp the fragment’s depth values instead of clipping primitives to the z planes of the frustum.

  - ### rasterizerDiscardEnable

    @Parameter boolean rasterizerDiscardEnable()
    Returns:
      controls whether primitives are discarded immediately before the rasterization stage.

  - ### polygonMode

    @Parameter @Default default VulkanPolygonMode polygonMode()
    Returns:
      the triangle rendering mode.

  - ### cullMode

    @Parameter @Default default Set<VulkanCullModeFlag> cullMode()
    Returns:
      the triangle facing direction used for primitive culling.

  - ### frontFace

    @Parameter @Default default VulkanFrontFace frontFace()
    Returns:
      the front-facing triangle orientation to be used for culling.

  - ### depthBiasEnable

    @Parameter boolean depthBiasEnable()
    Returns:
      controls whether to bias fragment depth values.

  - ### depthBiasConstantFactor

    @Parameter @Default default float depthBiasConstantFactor()
    Returns:
      a scalar factor controlling the constant depth value added to each fragment.

  - ### depthBiasClamp

    @Parameter @Default default float depthBiasClamp()
    Returns:
      the maximum (or minimum) depth bias of a fragment.

  - ### depthBiasSlopeFactor

    @Parameter @Default default float depthBiasSlopeFactor()
    Returns:
      a scalar factor applied to a fragment’s slope in depth bias calculations.

  - ### lineWidth

    @Parameter @Default default float lineWidth()
    Returns:
      the width of rasterized line segments.